> For the complete documentation index, see [llms.txt](https://docs.kibotu.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.kibotu.ai/documentation/api-reference/personal-offers.md).

# Personal Offers

## Input parameters

#### UserId

Kibotu recognizes your users through their userId and keeps the same AB variation intact. Should a user be assigned to the control group, any subsequent requests will continue to return the control group consistently.

#### ContextObject

A union of GameContext and UserContext, such as level, coins, character, offered prize, country or geo-location, should be utilized. Please consult with your account manager to ensure proper segmentation parameters are set.

## Output parameters

#### AB Variation

Personalized banner (full URL of the personalized banner to be presented)

Personalization Key (For tracking further user actions, it is recommended to keep it along with the popup object to be able to attach to tracked events)

## Query for personalized content, specifically Personal Offers

<mark style="color:green;">`POST`</mark> `https://api.kibotu.ai/getPersonalizedBanner`

Check the `Input parameters` description listed above;

#### Request Body

| Name                                          | Type         | Description |
| --------------------------------------------- | ------------ | ----------- |
| userId<mark style="color:red;">\*</mark>      | String       |             |
| prizeTypes                                    | Array\[enum] |             |
| prizeKey<mark style="color:red;">\*</mark>    | String       |             |
| offerId<mark style="color:red;">\*</mark>     |              |             |
| zipCode                                       | String       |             |
| countryIso2<mark style="color:red;">\*</mark> | String       |             |
| languageIso2                                  | String       |             |

**Response**

{% tabs %}
{% tab title="200: OK Check `Output parameters` above;" %}

````
```json
imageFullUrl
kibotuMetadata
```
````

{% endtab %}

{% tab title="400: Bad Request " %}

```
Invalid input
```

{% endtab %}

{% tab title="401: Unauthorized " %}
Invalid authentication, check your API Key
{% endtab %}

{% tab title="403: Forbidden " %}
Invalid authorization, no permissions to perform the requested action
{% endtab %}

{% tab title="500: Internal Server Error " %}

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.kibotu.ai/documentation/api-reference/personal-offers.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
